#include <stm32f10x_lib.h>
#include "sys.h"
#include "usart.h"		
#include "delay.h"	
#include "led.h" 
#include "lcd.h" 
#include "rtc.h"
#include "image2lcd.h"
#include "stdlib.h"


const u8 *COMPILED_DATE=__DATE__;//ñ
const u8 *COMPILED_TIME=__TIME__;//ñʱ
const u8* Week[7]={"Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"}; 
extern const u8 gImage_image1[];
char  s[60]={"sunny"};
		
//ͼƬ(Ϣͷ),洢image1.c.

void refresh_TFT(void );

int main(void)
{		

	u8 t=0;	
 	HEADCOLOR *imginfo;
	u16 x=20,y=20;

	u8 min; 

	
 	imginfo=(HEADCOLOR*)gImage_image1;	//õļϢ 

	Stm32_Clock_Init(9);//ϵͳʱ
	delay_init(72);		//ʱʼ
	uart_init(72,9600); //1ʼ  
	LED_Init();
 	LCD_Init();
    RTC_Init();
	POINT_COLOR=RED;  
	BACK_COLOR = BLACK; 	
				 
	delay_ms(1500);//ȴ1.5	  
    min=timer.min;
   
  //  image_display(x,y,(u8*)imginfo);//ַָʾͼƬ

	LCD_ShowString(60,130,"    -  -  ");
	LCD_ShowString(70,200,"  :  :  ");	   			
      while(1)
	   {
	    								    
		if(t!=timer.sec)
		{
			t=timer.sec;
       
			LCD_ShowNum(60,130,timer.w_year,4,16);							  
			LCD_ShowNum(100,130,timer.w_month,2,16);									  
			LCD_ShowNum(124,130,timer.w_date,2,16);	 
			switch(timer.week)
			{
				case 0:
					LCD_ShowString(60,170,"Sunday   ");
					break;
				case 1:
					LCD_ShowString(60,170,"Monday   ");
					break;
				case 2:
					LCD_ShowString(60,170,"Tuesday  ");
					break;
				case 3:
					LCD_ShowString(60,170,"Wednesday");
					break;
				case 4:
					LCD_ShowString(60,170,"Thursday ");
					break;
				case 5:
					LCD_ShowString(60,170,"Friday   ");
					break;
				case 6:
					LCD_ShowString(60,170,"Saturday ");
			    //    Show_Str_hz(60,150," ",16,1);
					break;  
			}
			LCD_ShowNum(70,200,timer.hour,2,16);									  
			LCD_ShowNum(100,200,timer.min,2,16);	
			if(timer.min!=min)
			  {
			     LCD_Init();
				 image_display(x,y,(u8*)imginfo);
				 min=min+1;
			  }								  
		//	LCD_ShowNum(158,200,timer.sec,2,16);
	    
	   }
		
		LED1=!LED1;			
	 Show_Str_hz(60,150," ",16,1);

	//	LCD_ShowString(80,220,s);
	
	

	};	
 
 										    							    
}






















